Domov      Nastavenia 
RSS English Slovensky

Aktuálne
Bezpečný server na GNU/LINUXe
Tlačové správy
25.05.2021
Analýza HawkEye Keylogger
Tlačové správy
25.05.2021
Mesačná správa CSIRT.SK - Marec 2021
Tlačové správy
25.05.2021
Zahraničné zdroje
Nahlásené incidenty
1.1.2020 - 31.12.2020
 

Graf

V softvéri Cisco SD-WAN vManage bolo opravených 5 zraniteľností

10.05.2021
Spoločnosť Cisco vydala opravné aktualizácie pre 5 zraniteľností v softvéri Cisco SD-WAN vManage, pričom 2 z nich sú kritické. Vo všeobecnosti tieto zraniteľnosti môžu neautentifikovanému útočníkovi umožniť vzdialené vykonanie kódu alebo získať prístup k citlivým informáciám. Autentifikovanému lokálnemu útočníkovi umožňujú eskalovať privilégiá alebo získať neautorizovaný prístup k aplikáciám.

 

Dôsledky

  • Vzdialené vykonanie kódu
  • Vykonanie DoS útoku
  • Únik citlivých údajov

Opis činnosti
CVE-2021-1275, CVE-2021-1468, CVE-2021-1505, CVE-2021-1506, CVE-2021-1508

Spoločnosť Cisco opravila v softvéri SD-WAN vManage 5 zraniteľností, z čoho 2 sú kritické.

Zraniteľnosť CVE-2021-1468 dosahuje najvyššie CVSS skóre – 9.8. Nachádza sa v službe zasielania správ a je dôsledkom nesprávnej kontroly autentifikácie pri vstupe dodávanom používateľom. Neautentifikovaný vzdialený útočník by mohol zaslať do služby špeciálne vytvorený vstup. To by mu mohlo umožniť vykonávať privilegované aktivity vrátane vytvorenia administrátorských účtov.

Nasledujúce 2 zraniteľnosti súvisia s lokálnou eskaláciou privilégií. Nachádzajú sa vo webovom rozhraní určenom na správu vManage. Prvá z nich, CVE-2021-1505, je kritická a dosahuje CVSS skóre 9.1. Môže umožniť autentifikovanému útočníkovi vzdialene obísť kontrolu autorizácie za účelom získania zvýšených oprávnení. Druhá závažná zraniteľnosť CVE-2021-1508 s CVSS skóre 8.1 tiež môže umožniť obídenie kontroly autorizácie, avšak za účelom získania prístupu k zakázaným aplikáciám, vykonávania úprav aplikácií alebo získania vyšších oprávnení.

Štvrtou zraniteľnosťou v poradí je CVE-2021-1506, pričom dosahuje CVSS skóre 7.2. Umožňuje overenému vzdialenému útočníkovi získať neoprávnený prístup k službám v zraniteľnom systéme, pretože systém nevykonáva autorizačné kontroly prístupu.

Poslednou zraniteľnosťou je CVE-2021-1275, ktorá dosahuje CVSS skóre 7.5. Existuje v API rozhraní v softvéri vManage. Útočník môže zaslať veľké množstvo API požiadaviek a zabrániť tak správnemu fungovaniu systému. Zneužitím tejto zraniteľnosti môže dôjsť k narušeniu dostupnosti služby (DoS).

Zraniteľné systémy

  • softvér Cisco SD-WAN vManage verzie 18.4 a nižšej
  • softvér Cisco SD-WAN vManage verzií 19.2, 20.1, 20.3, 20.4 a 20.5

Závažnosť zraniteľnosti
Vysoká

Možné škody
Vzdialené vykonávanie kódu
Narušenie dostupnosti služby (DoS)
Únik citlivých informácií

Odporúčania

Odporúčame aktualizovať softvér Cisco SD-WAN vManage na najnovšie dostupné verzie. V prípade verzií 18.4 a nižšej, 19.2 a 20.1 odporúčame migrovať na verzie, kde sú tieto zraniteľnosti opravené.

Odkazy
https://tools.cisco.com/security/center/content/CiscoSecurityAdvisory/cisco-sa-sd-wan-vmanage-4TbynnhZ
https://threatpost.com/critical-cisco-sd-wan-hyperflex-bugs/165923/
https://www.securityweek.com/cisco-patches-critical-flaws-sd-wan-hyperflex-hx-products
https://thehackernews.com/2021/05/critical-flaws-hit-cisco-sd-wan-vmanage.html
https://www.bleepingcomputer.com/news/security/cisco-bugs-allow-creating-admin-accounts-executing-commands-as-root/



<< zoznam oznámení